# $Revision: 1.19 $, $Date: 2007-12-31 11:29:25 $
#
# Conditional build:
%bcond_without gtk2	# build without GTK
#
Summary:	Tools for the OCFS2 filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików OCFS2
Name:		ocfs2-tools
Version:	1.2.7
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v1.2/%{name}-%{version}.tar.gz
# Source0-md5:	8a501fcd5f236de0780905b7dcb5128f
Source1:	ocfs2.init
Source2:	o2cb.init
Source3:	o2cb.sysconfig
Patch0:		%{name}-tinfo.patch
URL:		http://oss.oracle.com/projects/ocfs2-tools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	device-mapper-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig
%{?with_gtk2:BuildRequires:	python-devel}
%{?with_gtk2:BuildRequires:	python-pygtk-gtk}
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
#BuildRequires:	scons
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools and support files for creating and managing OCFS2 volumes.

%description -l pl.UTF-8
Narzędzia do tworzenia i zarządzania wolumenami OCFS2.

%package gtk
Summary:	GTK+ interface to OCFS2 Tools
Summary(pl.UTF-8):	Interfejs GTK+ do narzędzi OCFS2
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-gtk

%description gtk
GTK+ interface to OCFS2 Tools.

%description gtk -l pl.UTF-8
Interfejs GTK+ do narzędzi OCFS2.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I .
%{__autoconf}
%configure \
	--enable-dynamic-fsck=yes \
	--enable-dynamic-ctl=yes \
	%{?with_gtk2:--enable-ocfs2console=yes}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D documentation/samples/cluster.conf $RPM_BUILD_ROOT/etc/ocfs2/cluster.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ocfs2
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/o2cb
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/o2cb
install -d $RPM_BUILD_ROOT/dlm

%if %{with gtk2}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
rm $RPM_BUILD_ROOT%{py_sitedir}/ocfs2interface/*.py
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add o2cb
/sbin/chkconfig --add ocfs2
%service o2cb restart
%service ocfs2 restart

%preun
if [ "$1" = "0" ]; then
	%service -q ocfs2 stop
	%service -q o2cb stop
	/sbin/chkconfig --del ocfs2
	/sbin/chkconfig --del o2cb
fi

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc documentation/*.txt
%attr(754,root,root) /etc/rc.d/init.d/o2cb
%attr(754,root,root) /etc/rc.d/init.d/ocfs2
%attr(755,root,root) /sbin/*
%dir /etc/ocfs2
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/ocfs2/cluster.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/o2cb
%dir /dlm
%{_mandir}/man8/*

%if %{with gtk2}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%dir %{py_sitedir}/ocfs2interface
%attr(755,root,root) %{py_sitedir}/ocfs2interface/*.so
%{py_sitedir}/ocfs2interface/*.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocfs2-tools.spec,v $
Revision 1.19  2007-12-31 11:29:25  matkor
- Releae 2. Killed remaining /var/lock/subsys/nfsfs in ocfs2.init.

Revision 1.18  2007-12-31 10:36:15  matkor
- Release 1. Works for me. Added /etc/sysconfig/o2cb.

Revision 1.17  2007-12-29 18:31:17  matkor
- Release 1.2.7-0.1.

Revision 1.16  2007-04-05 07:09:28  qboosh
- bcond header

Revision 1.15  2007/04/05 06:14:19  aredridel
- add missing buildrequire
- bcond gtk2

Revision 1.14  2007/04/05 05:50:42  aredridel
- remove obsolete buildrequire

Revision 1.13  2007/03/31 11:21:26  zbyniu
- up to 1.2.3

Revision 1.12  2007/03/31 09:28:59  zbyniu
- o2cb.sysconfig added; BRs revisited; proper %service; more files

Revision 1.11  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.9  2007/01/28 00:37:34  arekm
- rel 2

Revision 1.8  2007/01/04 19:34:45  arekm
- up to 1.2.2

Revision 1.7  2006/10/17 08:07:06  glen
- macros for %service

Revision 1.6  2006/10/17 07:25:18  qboosh
- chkconfig deps

Revision 1.5  2006/10/17 01:05:23  aredridel
- BR: scons

Revision 1.4  2006/10/17 00:50:15  aredridel
- add initscripts

Revision 1.3  2006/06/20 19:11:13  arekm
- up to 1.2.1

Revision 1.2  2005/09/04 08:18:29  qboosh
- pl

Revision 1.1  2005/09/03 20:41:44  arekm
- initial pld release
